use strict;
use ExtUtils::MakeMaker;
use Module::Metadata;

WriteMakefile(NAME => 'slackbuilder',
	      DISTNAME     => 'slackbuilder',
	      VERSION_FROM => 'lib/SlackBuilder.pm',
	      AUTHOR       => 'Sergey Poznyakoff <gray@gnu.org>',
	      LICENSE      => 'gpl_3',
	      ABSTRACT     => 'Slackware Package Builder',
	      EXE_FILES    => [ 'slackbuilder' ],
	      PREREQ_PM    => {
		  'Archive::Tar' => 2.28,
                  'Config::Parser::Ini' => 0,
		  'File::Basename' => 0,
		  'File::Copy' => 0,
		  'File::Path' => 0,
		  'File::Spec' => 0,
		  'File::Temp' => 0,
		  'File::stat' => 0,
		  'HTML::Parser' => '3.72',
		  'HTTP::Request' => 0,
		  'HTTP::Response' => 0,
		  'HTTP::Status' => 0,
		  'JSON' => 0.,
                  'YAML' => '1.20',
		  'LWP::UserAgent' => '6.29',
		  'List::Regexp' => '1.03',
		  'Log::Log4perl' => '1.46',
		  'Log::Dispatch' => '2.44',
		  #Net::SBo
		  'POSIX' => 0,
		  'POSIX::Run::Capture' => 0,
		  'Safe' => 0,
		  'Scalar::Util' => 0,
		  'Text::ParseWords' => 0,
		  'URI' => 0
      	      },
	      MIN_PERL_VERSION => 5.016001
);
	      
