package SlackBuild::Request::Loader::sbo;
use strict;
use warnings;
use Net::SBo;

our $PRIORITY = 40;

sub Load {
    my ($class, $reqname) = @_;
    if (my ($dir,$commit) = Net::SBo->new->find($reqname)) {
	return { package => $reqname, slackbuild_uri => "sbo://$commit/$dir"};
    }
}

1;
