package SlackBuild::Request::Loader::dir;
use strict;
use warnings;
use File::Basename;
use File::Spec;

our $PRIORITY = 20;

sub Load {
    my ($class, $reqname) = @_;
    if (-d $reqname) {
	if (my $file =
             (glob File::Spec->catfile($reqname, '*.SlackBuild'))[0]) {
	    my ($package,$path) = fileparse($file, '.SlackBuild');
	    return { package => $package, slackbuild_uri => $path };
	}
    }
}

1;

